> ## Documentation Index
> Fetch the complete documentation index at: https://mako-docs.devinagiffy.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Client

> Soft delete a client (sets status to offboarded)

<Note>Requires Admin role.</Note>

## Path Parameters

<ParamField path="id" type="string" required>
  Client UUID
</ParamField>

## Response

The updated client object with status set to "offboarded".

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.hitler.app/api/clients/client-uuid-1" \
    -H "Authorization: Bearer YOUR_TOKEN"
  ```

  ```typescript TypeScript theme={null}
  await api.deleteClient("client-uuid-1");
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "client-uuid-1",
    "name": "Acme Corp",
    "status": "offboarded",
    "updatedAt": "2026-03-06T14:00:00.000Z"
  }
  ```
</ResponseExample>
